Firefox no longer works with HTTP authentication 
Status: Closed Start date: 12/18/2016

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 4.0.2   

Description

Firefox rendering no longer works with HTTP authentication since it asks the user if they want to authenticate to the site.

Associated revisions

Revision 311 - 12/18/2016 08:25 PM - lmurphey

Making HTTP basic authentication work on Firefox again

reference #1658

Revision 312 - 12/18/2016 08:27 PM - lmurphey

Updating name of the get_firefox_proxy_profile

This was done because this function is no longer used just for Firefox.

Closes #1658.

History

#1 - 12/18/2016 05:56 PM - Luke Murphey

http://stackoverflow.com/questions/24304752/how-to-handle-authentication-popup-with-selenium-webdriver-using-java

#2 - 12/18/2016 07:48 PM - Luke Murphey

http://stackoverflow.com/questions/27322871/handling-authentication-required-alert-box-with-python-2-7-selenium-webdrive

http://stackoverflow.com/questions/9262486/how-to-pass-over-the-httpauthentication-into-selenium-webdriver

#3 - 12/18/2016 07:48 PM - Luke Murphey

It looks like some people are using addCustomRequestHeader to just add the HTTP auth header

#4 - 12/18/2016 07:50 PM - Luke Murphey

Might be able to just accept the dialog

http://www.seleniumeasy.com/selenium-tutorials/how-to-handle-javascript-alerts-confirmation-prompts

#5 - 12/18/2016 07:57 PM - Luke Murphey

https://github.com/SeleniumHQ/selenium/issues/453

#6 - 12/18/2016 08:14 PM - Luke Murphey

This throws the exception seen in https://github.com/SeleniumHQ/selenium/issues/453

from selenium import webdriver

04/28/2024 1/2

http://stackoverflow.com/questions/24304752/how-to-handle-authentication-popup-with-selenium-webdriver-using-java
http://stackoverflow.com/questions/27322871/handling-authentication-required-alert-box-with-python-2-7-selenium-webdrive
http://stackoverflow.com/questions/9262486/how-to-pass-over-the-httpauthentication-into-selenium-webdriver
http://www.seleniumeasy.com/selenium-tutorials/how-to-handle-javascript-alerts-confirmation-prompts
https://github.com/SeleniumHQ/selenium/issues/453
https://github.com/SeleniumHQ/selenium/issues/453


from selenium.webdriver.support.ui import WebDriverWait

from selenium.webdriver.support import expected_conditions

driver = webdriver.Firefox()

driver.get("https://httpbin.org/basic-auth/user/passwd")

wait = WebDriverWait(driver, 10)

alert = wait.until(expected_conditions.alert_is_present())

alert.authenticate("user", "passwd")

#7 - 12/18/2016 08:21 PM - Luke Murphey

This works:

from selenium import webdriver

profile = webdriver.FirefoxProfile()

driver = webdriver.Firefox(profile)

driver.get("https://user:passwd@httpbin.org/basic-auth/user/passwd")

#8 - 12/18/2016 08:29 PM - Luke Murphey

- Project changed from Website Monitoring to Website Input

- Target version changed from 2.0.1 to 4.0.2

#9 - 12/18/2016 08:30 PM - Anonymous

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset splunk-web-input|r480.
